Bug 416306 - send later agent wrongly store sended message to local storage
Summary: send later agent wrongly store sended message to local storage
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.13.1
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-15 17:49 UTC by Bruno Friedmann
Modified: 2020-03-21 14:50 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.14.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Friedmann 2020-01-15 17:49:22 UTC
SUMMARY
When send later agent is used, the sended message in not stored on the sent folder of the account used. Instead you have a copy stored in the local folder.

STEPS TO REPRODUCE
1. Have at least 2 different indentity, using different sender : for example one google and one your provider
2. Use google identity to start a new message sended to your second email
use the send later (optionnal via google smtp service) and use 10minutes to one hour later option
3. Once the email is sended by kmail2 look at Sent folder on your google account, the message is not there. 
4. Open local folder Sent you will find the wrongly stored message here.
5. Open local and sent google message header and you will see the same id for identity and Transport. Like for example in my case
X-KMail-Identity: 948660293
X-KMail-Transport: 464288440
X-KMail-Identity-Name: BF Gmail
X-KMail-Transport-Name: smtp.gmail.com

Kmail2 has all the informations to store the sended message to the right folder (Sent of the Identity, in my case)

Notice : this deviant behaviour has been seen this year if my memory is right. I didn't got this trouble before. 
Sorry for the quantic precision ;-)


OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Bruno Friedmann 2020-01-15 17:50:33 UTC
Software used

openSUSE Tumbleweed - 20200111
Linux 5.4.7-1-default x86_64 GNU/Linux
nvidia: 440.44
Qt: 5.13.1
KDE Frameworks: 5.65.0
Plasma: 5.17.5
kmail2 5.13.1 (19.12.1)
Akonadi on central postgresql11
Comment 2 Christophe Giboudeaux 2020-01-16 13:08:16 UTC
Confirmed. the message is not moved to the sent folder selected in the identities settings.
Comment 3 Laurent Montel 2020-01-16 13:16:07 UTC
I will investigate it soon.
Comment 4 Laurent Montel 2020-03-21 14:50:54 UTC
Git commit 1c74cf3f81572c98ca599173e5170f4fda0dcf33 by Laurent Montel.
Committed on 21/03/2020 at 14:50.
Pushed by mlaurent into branch 'release/20.04'.

Fix Bug 416306 - send later agent wrongly store sended message to local storage
FIXED-IN: 5.14.0

M  +22   -0    messagecomposer/src/sender/akonadisender.cpp

https://commits.kde.org/messagelib/1c74cf3f81572c98ca599173e5170f4fda0dcf33